//---------------------------------------------------------
// Depthmap shader by ello
//---------------------------------------------------------
float4 vecSkill1; //plane sizes
struct VS_IN
{
	float4 position : POSITION;
};

struct VS_OUT
{
	float4 position : POSITION;
	float  depth    : TEXCOORD0;
};

//float front = 2000; // play with this
//float back = 2500; // play with this

float4x4 matWorldViewProj : WorldViewProjection;


VS_OUT mainVS (VS_IN In)
{
	VS_OUT Out;
	Out.position = mul(In.position, matWorldViewProj);
	Out.depth = ((Out.position.z - vecSkill1.y/4)/1000) * ((Out.position.z - vecSkill1.x/4)/1000);
	return Out;
}

float4 mainPS (VS_OUT In) : COLOR0
{
	return In.depth;
}

technique depth
{
	pass p0
	{
		VertexShader = compile vs_2_0 mainVS();
		PixelShader = compile ps_2_0 mainPS();
	}
}