/////////////////////////////////
/////black and white effect//////
/////////////////////////////////
//////////////source: wiki///////

texture TargetMap;
float4 vecSkill1;
sampler smpSource = sampler_state { texture = <TargetMap>; };

float4 BlackWhite_PS( float2 Tex : TEXCOORD0 ) : COLOR0
{
	float4 Color = tex2D( smpSource, Tex.xy);

	float mColor = ((Color.r*vecSkill1.x+Color.g*vecSkill1.y+Color.b*vecSkill1.z)/3.0f);
	if (mColor < 0.5)
		mColor = 0.0f;
	else
		mColor = 1.0f;

	return float4(lerp(Color.rgb,float3(mColor,mColor,mColor),vecSkill1.w/3),Color.a);
}

technique tech_00
{
	pass pass_00
	{
		VertexShader = null;
		PixelShader = compile ps_2_0 BlackWhite_PS();
	}
}
