Texture TargetMap;
float4 vecSkill1;
sampler2D g_samSrcColor = sampler_state { texture = <TargetMap>; MipFilter = Linear;	};

float4 postprocessing_colour( float2 Tex : TEXCOORD0 ) : COLOR0 
{
   float3 Color = tex2D( g_samSrcColor, Tex.xy).xyz*(vecSkill1.xyz);
   return float4(Color*vecSkill1.w,1.);
}

technique PostProcess 
{
	pass p1 
	{
		AlphaBlendEnable = false;
		VertexShader = null;
		PixelShader = compile ps_2_0 postprocessing_colour();
	}
}