/////////////////////Perspective Shadowmapping by Redphoenix///////////////////////////////////////////////
//////Depthshader
///////////////////////////////////////////////////////////////////////////////////////////////////////////
float4x4 matWorldViewProj;
float4x4 matWorldView;
float4x4 matWorld;
float4x4 matWorldProj;	// World matrix.
float3 vecSunPos;

float4x4 matProj;
float4x4 matMtl; 	//new projection Matrix

float4 vecSkill1;

// Textures
/*texture entSkin1;
sampler ColorMapSampler = sampler_state
{
	Texture = <entSkin1>;
	MipFilter = LINEAR;
};*/

// Structs
struct SMapVertexToPixel
{
    float4 Position     : POSITION;
    float4 Position2D   : TEXCOORD0;
    float2 TexCoords    : TEXCOORD1;
};

// Vertex Shader
SMapVertexToPixel ShadowMapVertexShader( float4 inPos : POSITION, float2 texcoords : TEXCOORD0)
{
    SMapVertexToPixel Output;
    //Output.Position = mul(mul(inPos,matWorld),matMtl);
	 Output.Position = mul(inPos,matWorldViewProj);   
    Output.TexCoords = texcoords;
/*
float4 gShadowViewerPos = vecSkill1.xyzw;
float2 diff = Output.Position - gShadowViewerPos.xy; 
float t = length( diff)/40000;
float nt =   gShadowViewerPos.w * log( gShadowViewerPos.z * t + 1) / t;
Output.Position.xy = gShadowViewerPos.xy + diff * nt;
*/
Output.Position2D = Output.Position;
    
    return Output;
}

// Pixel Shader
float4 ShadowMapPixelShader(SMapVertexToPixel PSIn) : COLOR0
{
	float4 Color;
	
	Color.r = PSIn.Position2D.z;
	Color.g = 0.0;
	Color.b = 0.0;
	Color.a = 1.0;

	return Color;
}


// Technique
technique ShadowMap
{
	pass Pass0
	{
		ZWriteEnable = True;
		AlphaBlendEnable = False;
		//AlphaTestEnable = True;
		//AlphaRef = 97;
		//AlphaFunc = Greater;
		
		CullMode = CCW;
		
		Lighting = False;
		    //CullMode = CW;

		VertexShader = compile vs_2_0 ShadowMapVertexShader();
		PixelShader = compile ps_2_0 ShadowMapPixelShader();
	}
}