Texture TargetMap;
sampler2D g_samSrcColor = sampler_state { texture = <TargetMap>; MipFilter = Linear;	};
float4 vecSkill1;

float4 vecViewPort;

float4 postprocessing_emboss( float2 Tex : TEXCOORD0 ) : COLOR0 
{
   float4 Color;
   Color.a = 1.0;
	Color.rgb = 0.5;
	Color -= tex2D( g_samSrcColor, Tex.xy-vecViewPort.zw)*vecSkill1.w*4.0f;
	Color += tex2D( g_samSrcColor, Tex.xy+vecViewPort.zw)*vecSkill1.w*4.0f;	
	Color.rgb = (Color.r+Color.g+Color.b)/3.0f;		  
	return float4(Color.rgb*(vecSkill1.xyz/5),1.);
}

technique PostProcess 
{
	pass p1 
	{
		AlphaBlendEnable = false;
		VertexShader = null;
		PixelShader = compile ps_2_0 postprocessing_emboss();
	}
}