Texture mtlSkin1;
sampler2D smpSource = sampler_state { texture = <mtlSkin1>;};

float4 vecSkill1;
float4 BlackoutPS( float2 Tex : TEXCOORD0 ) : COLOR0 
{
	/*
	float4 Color = tex2D(smpSource,Tex.xy);
	
	
	//if(Color.r > 0.4) Color.r = 0;
	//if(Color.g > 0.4) Color.g = 0;
	//if(Color.b > 0.4) Color.b = 0;
	
	
	if(dot(Color,float3(0.299f,0.587f,0.114f))<vecSkill1.x)
	//if((Color.r+Color.g+Color.b)/3<vecSkill1.x)
	{
		Color.rgb = 0;
	}
	return Color;	
	
	//Color+=1.0;
	//if(Color.r>1.0 || Color.g>1.0 || Color.b>1.0) return Color;
	//else return float4(0.0,0.0,0.0,1.0);
	//return Color;
	*/
	float Luminance = 0.08f; // 0.08
float fMiddleGray = 0.18f; // 0.18
float fWhiteCutoff = 0.8f; // 0.8
float bloomStr = 80.0f;

	float3 ColorOut = tex2D( smpSource, Tex );

	bloomStr = vecSkill1.x;
	Luminance = vecSkill1.y;
	fMiddleGray = vecSkill1.z;
	fWhiteCutoff = vecSkill1.w;
	  
    ColorOut *= fMiddleGray / ( (Luminance) + 0.001f );
    ColorOut *= ( 1.0f + ( ColorOut / ( fWhiteCutoff * fWhiteCutoff ) ) );
    
    ColorOut -= 5.0f;
    	
    ColorOut = max( ColorOut, 0.0f );
    
    ColorOut /= ( (100.0f - bloomStr) + ColorOut );
    
    ColorOut.rgb *= 2;//pow(ColorOut.rgb,2)*2;
    ColorOut = clamp(ColorOut,0,1);
    
    
    
	
	 return float4( ColorOut, 1.0f );

}

technique highpass
{
	pass one
	{
		cullmode = CCW;
		PixelShader = compile ps_2_0 BlackoutPS();
	}
}